Debian Bug report logs - #714739
publican: dates in PO files should be in "%Y-%m-%d %H:%M%z" format

version graph

Package: publican; Maintainer for publican is Mikhail Gusarov <dottedmag@debian.org>; Source for publican is src:publican.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 2 Jul 2013 11:15:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version publican/3.1.5-3

Fixed in version publican/3.2.0-1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.redhat.com/show_bug.cgi?id=985836

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#714739; Package publican. (Tue, 02 Jul 2013 11:15:06 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: publican: dates in PO files should be in "%Y-%m-%d %H:%M%z" format
Date: Tue, 2 Jul 2013 13:13:17 +0200
[Message part 1 (text/plain, inline)]
Package: publican
Version: 3.1.5-3
Usertags: i18nspector

publican generates PO files with dates like this:

POT-Creation-Date: 2012-07-29T20:56:34

This is a different format than GNU gettext tools use, e.g.:

POT-Creation-Date: 2013-07-02 12:57+0200

I believe that the attached patch should fix this issue, although I 
haven't tested it.

-- 
Jakub Wilk
[publican-date-format.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#714739; Package publican. (Thu, 18 Jul 2013 11:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Thu, 18 Jul 2013 11:03:09 GMT) Full text and rfc822 format available.

Message #8 received at 714739@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 714739@bugs.debian.org
Subject: Re: Bug#714739: publican: dates in PO files should be in "%Y-%m-%d %H:%M%z" format
Date: Thu, 18 Jul 2013 12:59:35 +0200
Control: forwarded -1 https://bugzilla.redhat.com/show_bug.cgi?id=985836

On Tue, 02 Jul 2013, Jakub Wilk wrote:
> I believe that the attached patch should fix this issue, although I
> haven't tested it.

Thanks, I forwarded your request and patch upstream.

But I'm not going to apply this on the Debian side, I'll wait until
it gets merged upstream.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Set Bug forwarded-to-address to 'https://bugzilla.redhat.com/show_bug.cgi?id=985836'. Request was from Raphael Hertzog <hertzog@debian.org> to 714739-submit@bugs.debian.org. (Thu, 18 Jul 2013 11:03:09 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 12 Aug 2013 17:54:10 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Wed, 28 Aug 2013 17:36:17 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Wed, 28 Aug 2013 17:36:17 GMT) Full text and rfc822 format available.

Message #17 received at 714739-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 714739-close@bugs.debian.org
Subject: Bug#714739: fixed in publican 3.2.0-1
Date: Wed, 28 Aug 2013 17:34:07 +0000
Source: publican
Source-Version: 3.2.0-1

We believe that the bug you reported is fixed in the latest version of
publican, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714739@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated publican package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 26 Aug 2013 23:26:54 +0200
Source: publican
Binary: publican
Architecture: source all
Version: 3.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 publican   - Tool for publishing material authored in DocBook XML
Closes: 714739
Changes: 
 publican (3.2.0-1) unstable; urgency=low
 .
   * New upstream release.
     - Generates standard date format in PO files now. Closes: #714739
   * Bump dependencies and build dependencies for libxml-treebuilder-perl.
Checksums-Sha1: 
 57dac5739482c6f3f0a12f6aa77570a301d810fa 2997 publican_3.2.0-1.dsc
 f1f8165abd6f8db555e0c83f0410499c06f0ef7f 2642659 publican_3.2.0.orig.tar.gz
 7acc38abfbd2ce4dc920dcfad0eba4c6b6810d03 7107 publican_3.2.0-1.debian.tar.gz
 c84e7882be247754dbceb19c767c0106854d7c10 3707022 publican_3.2.0-1_all.deb
Checksums-Sha256: 
 02cc17bcd90390618f03760a394a1378fd676b60b887b39c63055329d9ae8998 2997 publican_3.2.0-1.dsc
 22f82b5a946e0444af7a48cbb1935706de9d3a5d07f1659c16f8a100e479eff2 2642659 publican_3.2.0.orig.tar.gz
 f60999f3eaa74dbeea4ef6ffae7659001b6a72bda29285930945d46aed35451d 7107 publican_3.2.0-1.debian.tar.gz
 0071d0dc3bb1ec4d60f52b529cc0c56ae65ed3947067bf270af29fa9ae201659 3707022 publican_3.2.0-1_all.deb
Files: 
 c3b67b5484ea571ae10d443873334108 2997 perl optional publican_3.2.0-1.dsc
 a111748a83fa2009f525d48e293db5a8 2642659 perl optional publican_3.2.0.orig.tar.gz
 646af0f0838ccffbeae8864869ab7760 7107 perl optional publican_3.2.0-1.debian.tar.gz
 88cc0828e603d1a3a9df13cdf904b3c2 3707022 perl optional publican_3.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJSHjEAAAoJEOYZBF3yrHKaqLQP/1ZRqgYIjLk/VunL5/XxHBs/
DQqhjo+Xk/QFromTfTGGyK0d9yxhbC30FbZ7hKNRhaCR5S7ZK8mliE7Nvl3tECds
cQAzfbyAuqqkNwm/WOQojMF9Aq4plLYdMwGSuB1Bo5MiH/0PYXrBHO9F/gl4zAw3
lC+qRequoS3mZEi6/xhpuwtxnqxlqdxtdhHw9DsOxl6/Ci1aYBU5BsEC6PHdcTnj
42uB7ZQKix10IA3J5lVGk87BNwSsYlltUC+73yLBG+/D/hJbYbK28SxD2T7CSd/B
xRChn7ziUbJ24a8qx03QGVKOjoKJnwDKimxClzC5szReObaYtim4KNmp/RUlu/sN
YgBdOzoP1LzzTGAnxaO89g2pT0Gx9BuduKSqteyVBpgb1/sLxzjUG5k6nxPLVr2G
fgOXsCoXqaUojHf8gL66IOJUTlcm+E8Ynerj/oqN82wn7XzA+Ytqdc2cjg5OKYKn
S7NSKAczHDVa6xfLFPomIUHZPhBBFSpZ3wrQcAkllRmy/DWyGJUURsFZXyXVZ87M
XBculQxjGpNsMIactzayZ7iIpkf8v8BgTTWh0mgWwboPw4anxB3PH/tsIOnZAXVI
VJVcg5eeho7W4mMf9qXWm2X+BZkGRkVsN+d8Yq9+f6dElGXjds98Uqs73ULbNJuZ
wgpuY2N9aFCUR68n0gT0
=pomD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Sep 2013 07:29:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:39:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.